com.corticon.eclipse.studio.vocabulary.core

## Class DatabaseConstants

- java.lang.Object
- - com.corticon.eclipse.studio.vocabulary.core.DatabaseConstants

-     public class DatabaseConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONNECTION_POOL_MAX_SIZE`
    `static java.lang.String` | `CONNECTION_POOL_MAX_STATEMENTS`
    `static java.lang.String` | `CONNECTION_POOL_MIN_SIZE`
    `static java.lang.String` | `CONNECTION_POOL_TIMEOUT`
    `static java.lang.String` | `CORTICON_DATABASE_ID`
    `static java.lang.String` | `CORTICON_PROPERTY_DATE_TIMEZONE`
    `static java.lang.String` | `CORTICON_PROPERTY_DATE_TIMEZONE_DEFAULT`
    `static java.lang.String` | `CORTICON_READ_ONLY_MODE_SUPPORTED`
    `static java.lang.String` | `DEFAULT_CONNECTION_POOL_MAX_SIZE`
    `static java.lang.String` | `DEFAULT_CONNECTION_POOL_MAX_STATEMENTS`
    `static java.lang.String` | `DEFAULT_CONNECTION_POOL_MIN_SIZE`
    `static java.lang.String` | `DEFAULT_CONNECTION_POOL_TIMEOUT`
    `static java.lang.String` | `DEFAULT_IDENTITY_NAME_COLUMN_NAME`
    `static java.lang.String` | `DEFAULT_IDENTITY_TABLE_NAME`
    `static java.lang.String` | `DEFAULT_IDENTITY_VALUE_COLUMN_NAME`
    `static java.lang.String` | `DEFAULT_VERSION_COLUMN_NAME`
    `static java.lang.String` | `HIBERNATE_CONNECTION_CATALOG`
    `static java.lang.String` | `HIBERNATE_CONNECTION_PASSWORD`
    `static java.lang.String` | `HIBERNATE_CONNECTION_SCHEMA`
    `static java.lang.String` | `HIBERNATE_CONNECTION_USER`
    `static java.lang.String` | `HIBERNATE_DIALECT`
    `static java.lang.String` | `HIBERNATE_HBM2DDL_AUTO`
    `static java.lang.String` | `HIBERNATE_RUNTIME_KEY_DATABASE_DRIVER`
    `static java.lang.String` | `HIBERNATE_RUNTIME_KEY_DATABASE_URL`
    `static java.lang.String` | `HIBERNATE_TEMP_USE_JDBC_METADATA_DEFAULTS`
    `static java.lang.String` | `HIBERNATE_USE_GENERATED_KEYS`
    `static java.lang.String` | `JDBC_CONNECTION_CATALOG`
    `static java.lang.String` | `JDBC_CONNECTION_PASSWORD`
    `static java.lang.String` | `JDBC_CONNECTION_SCHEMA`
    `static java.lang.String` | `JDBC_CONNECTION_USER`
    `static java.lang.String` | `JPA_PERSISTENCE_FILEPATH`
    `static java.lang.String` | `JPA_RUNTIME_KEY_JDBC_DRIVER`
    `static java.lang.String` | `JPA_RUNTIME_KEY_JDBC_PASSWORD`
    `static java.lang.String` | `JPA_RUNTIME_KEY_JDBC_URL`
    `static java.lang.String` | `JPA_RUNTIME_KEY_JDBC_USER`
    `static java.lang.String` | `JPA_RUNTIME_KEY_JTA_DATA_SOURCE`
    `static java.lang.String` | `JPA_RUNTIME_KEY_LOCK_TIMEOUT`
    `static java.lang.String` | `JPA_RUNTIME_KEY_NON_JTA_DATA_SOURCE`
    `static java.lang.String` | `JPA_RUNTIME_KEY_PROVIDER`
    `static java.lang.String` | `JPA_RUNTIME_KEY_QUERY_TIMEOUT`
    `static java.lang.String` | `JPA_RUNTIME_KEY_TRANSACTION_TYPE`
    `static java.lang.String` | `JPA_RUNTIME_KEY_VALIDATION_MODE`
    `static java.lang.String` | `USE_C3P0_CONNECTION_POOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CORTICON_DATABASE_ID

          public static final java.lang.String CORTICON_DATABASE_ID

      See Also:
        Constant Field Values

    - #### CORTICON_READ_ONLY_MODE_SUPPORTED

          public static final java.lang.String CORTICON_READ_ONLY_MODE_SUPPORTED

      See Also:
        Constant Field Values

    - #### JDBC_CONNECTION_USER

          public static final java.lang.String JDBC_CONNECTION_USER

      See Also:
        Constant Field Values

    - #### JDBC_CONNECTION_PASSWORD

          public static final java.lang.String JDBC_CONNECTION_PASSWORD

      See Also:
        Constant Field Values

    - #### JDBC_CONNECTION_CATALOG

          public static final java.lang.String JDBC_CONNECTION_CATALOG

      See Also:
        Constant Field Values

    - #### JDBC_CONNECTION_SCHEMA

          public static final java.lang.String JDBC_CONNECTION_SCHEMA

      See Also:
        Constant Field Values

    - #### JPA_PERSISTENCE_FILEPATH

          public static final java.lang.String JPA_PERSISTENCE_FILEPATH

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_JDBC_DRIVER

          public static final java.lang.String JPA_RUNTIME_KEY_JDBC_DRIVER

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_JDBC_URL

          public static final java.lang.String JPA_RUNTIME_KEY_JDBC_URL

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_JDBC_USER

          public static final java.lang.String JPA_RUNTIME_KEY_JDBC_USER

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_JDBC_PASSWORD

          public static final java.lang.String JPA_RUNTIME_KEY_JDBC_PASSWORD

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_PROVIDER

          public static final java.lang.String JPA_RUNTIME_KEY_PROVIDER

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_TRANSACTION_TYPE

          public static final java.lang.String JPA_RUNTIME_KEY_TRANSACTION_TYPE

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_LOCK_TIMEOUT

          public static final java.lang.String JPA_RUNTIME_KEY_LOCK_TIMEOUT

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_QUERY_TIMEOUT

          public static final java.lang.String JPA_RUNTIME_KEY_QUERY_TIMEOUT

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_VALIDATION_MODE

          public static final java.lang.String JPA_RUNTIME_KEY_VALIDATION_MODE

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_JTA_DATA_SOURCE

          public static final java.lang.String JPA_RUNTIME_KEY_JTA_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### JPA_RUNTIME_KEY_NON_JTA_DATA_SOURCE

          public static final java.lang.String JPA_RUNTIME_KEY_NON_JTA_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### HIBERNATE_CONNECTION_CATALOG

          public static final java.lang.String HIBERNATE_CONNECTION_CATALOG

      See Also:
        Constant Field Values

    - #### HIBERNATE_CONNECTION_SCHEMA

          public static final java.lang.String HIBERNATE_CONNECTION_SCHEMA

      See Also:
        Constant Field Values

    - #### HIBERNATE_CONNECTION_PASSWORD

          public static final java.lang.String HIBERNATE_CONNECTION_PASSWORD

      See Also:
        Constant Field Values

    - #### HIBERNATE_CONNECTION_USER

          public static final java.lang.String HIBERNATE_CONNECTION_USER

      See Also:
        Constant Field Values

    - #### HIBERNATE_RUNTIME_KEY_DATABASE_DRIVER

          public static final java.lang.String HIBERNATE_RUNTIME_KEY_DATABASE_DRIVER

      See Also:
        Constant Field Values

    - #### HIBERNATE_RUNTIME_KEY_DATABASE_URL

          public static final java.lang.String HIBERNATE_RUNTIME_KEY_DATABASE_URL

      See Also:
        Constant Field Values

    - #### HIBERNATE_HBM2DDL_AUTO

          public static final java.lang.String HIBERNATE_HBM2DDL_AUTO

      See Also:
        Constant Field Values

    - #### HIBERNATE_DIALECT

          public static final java.lang.String HIBERNATE_DIALECT

      See Also:
        Constant Field Values

    - #### DEFAULT_IDENTITY_TABLE_NAME

          public static final java.lang.String DEFAULT_IDENTITY_TABLE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_IDENTITY_NAME_COLUMN_NAME

          public static final java.lang.String DEFAULT_IDENTITY_NAME_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_IDENTITY_VALUE_COLUMN_NAME

          public static final java.lang.String DEFAULT_IDENTITY_VALUE_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_VERSION_COLUMN_NAME

          public static final java.lang.String DEFAULT_VERSION_COLUMN_NAME

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL_MIN_SIZE

          public static final java.lang.String CONNECTION_POOL_MIN_SIZE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL_MAX_SIZE

          public static final java.lang.String CONNECTION_POOL_MAX_SIZE

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL_TIMEOUT

          public static final java.lang.String CONNECTION_POOL_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL_MAX_STATEMENTS

          public static final java.lang.String CONNECTION_POOL_MAX_STATEMENTS

      See Also:
        Constant Field Values

    - #### HIBERNATE_USE_GENERATED_KEYS

          public static final java.lang.String HIBERNATE_USE_GENERATED_KEYS

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOL_MIN_SIZE

          public static final java.lang.String DEFAULT_CONNECTION_POOL_MIN_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOL_MAX_SIZE

          public static final java.lang.String DEFAULT_CONNECTION_POOL_MAX_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOL_TIMEOUT

          public static final java.lang.String DEFAULT_CONNECTION_POOL_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECTION_POOL_MAX_STATEMENTS

          public static final java.lang.String DEFAULT_CONNECTION_POOL_MAX_STATEMENTS

      See Also:
        Constant Field Values

    - #### USE_C3P0_CONNECTION_POOL

          public static final java.lang.String USE_C3P0_CONNECTION_POOL

      See Also:
        Constant Field Values

    - #### HIBERNATE_TEMP_USE_JDBC_METADATA_DEFAULTS

          public static final java.lang.String HIBERNATE_TEMP_USE_JDBC_METADATA_DEFAULTS

      See Also:
        Constant Field Values

    - #### CORTICON_PROPERTY_DATE_TIMEZONE

          public static final java.lang.String CORTICON_PROPERTY_DATE_TIMEZONE

      See Also:
        Constant Field Values

    - #### CORTICON_PROPERTY_DATE_TIMEZONE_DEFAULT

          public static final java.lang.String CORTICON_PROPERTY_DATE_TIMEZONE_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DatabaseConstants

          public DatabaseConstants()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.